Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface OperationDefOperations

All Superinterfaces:
  ContainedOperations, IRObjectOperations

All Known Subinterfaces:
  OperationDef

All Known Implementing Classes:
  OperationDefPOA

public interface OperationDefOperations
extends ContainedOperations

An OperationDef represents the information needed to define an operation of an interface.

Method Summary
`java.lang.String[]` | `contexts()` The contexts attribute specifies the list of context identifiers that apply to the operation.
`void` | `contexts(java.lang.String[] value)` The contexts attribute specifies the list of context identifiers that apply to the operation.
`ExceptionDef[]` | `exceptions()` The exceptions attribute specifies the list of exception types that can be raised by the operation.
`void` | `exceptions(ExceptionDef[] value)` The exceptions attribute specifies the list of exception types that can be raised by the operation.
`OperationMode` | `mode()` The mode attribute of accessor operations is OP_NORMAL.
`void` | `mode(OperationMode value)` The mode attribute of accessor operations is OP_NORMAL.
`ParameterDescription[]` | `params()` The params attribute describes the parameters of the operation.
`void` | `params(ParameterDescription[] value)` The params attribute describes the parameters of the operation.
`IDLType` | `result_def()` The result_def attribute identifies the definition of the returned type.
`void` | `result_def(IDLType value)` The result_def attribute identifies the definition of the returned type.
`TypeCode` | `result()` The result attribute is a TypeCode describing the type of the value returned by the operation.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### result

    public TypeCode result()

  The result attribute is a TypeCode describing the type of the value returned by the operation.

### result_def

    public IDLType result_def()

  The result_def attribute identifies the definition of the returned type.

### result_def

    public void result_def(IDLType value)

  The result_def attribute identifies the definition of the returned type.

### params

    public ParameterDescription[] params()

  The params attribute describes the parameters of the operation. It is a sequence of ParameterDescription structures. The order of the ParameterDescriptions in the sequence is significant.

### params

    public void params(ParameterDescription[] value)

  The params attribute describes the parameters of the operation. It is a sequence of ParameterDescription structures. The order of the ParameterDescriptions in the sequence is significant.

### mode

    public OperationMode mode()

  The mode attribute of accessor operations is OP_NORMAL.

### mode

    public void mode(OperationMode value)

  The mode attribute of accessor operations is OP_NORMAL.

### contexts

    public java.lang.String[] contexts()

  The contexts attribute specifies the list of context identifiers that apply to the operation.

### contexts

    public void contexts(java.lang.String[] value)

  The contexts attribute specifies the list of context identifiers that apply to the operation.

### exceptions

    public ExceptionDef[] exceptions()

  The exceptions attribute specifies the list of exception types that can be raised by the operation.

### exceptions

    public void exceptions(ExceptionDef[] value)

  The exceptions attribute specifies the list of exception types that can be raised by the operation.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD